---
layout: documentation
title: Installation
keywords: installation
sidebar: mq_install_sidebar
toc: false
---
To install these modules, you can use a `Puppetfile`

```
forge "http://forge.enterprisemodules.com"

mod 'enterprisemodules/mq_install'               ,'1.0.x'
```
Then use the `librarian-puppet` or `r10K` to install the software.

You can also install the software using the `puppet module`  command:

```
puppet module install
    --module_repository=http://forge.enterprisemodules.com
    enterprisemodules-mq_install
```
