---
title: mq install
keywords: documentation
layout: documentation
sidebar: mq_install_sidebar
toc: false
---
## Overview

Setup the MQ installer.

## Attributes



Attribute Name                   | Short Description                                  |
-------------------------------- | -------------------------------------------------- |
[ensure](#mq_install_ensure)     | The basic property that the resource should be in. |
[name](#mq_install_name)         | The name of the setup.                             |
[provider](#mq_install_provider) | resource.                                          |




### ensure<a name='mq_install_ensure'>

The basic property that the resource should be in.

Valid values are `present`, `absent`. 

[Back to overview of mq_install](#attributes)

### name<a name='mq_install_name'>

The name of the setup.



[Back to overview of mq_install](#attributes)

### provider<a name='mq_install_provider'>

The specific backend to use for this `mq_install`
resource. You will seldom need to specify this --- Puppet will usually
discover the appropriate provider for your platform.Available providers are:

simple
: Manage MQ install



[Back to overview of mq_install](#attributes)
