Specify a value of `true` when you want to install the IBM MQ Bridge to blockchain component. 

Here is an example:

    class { '::mq_install::software':
      ...
      install_blockchain => true,
      ...
    }

The default is 'false'. Meaning this component is not installed.

Install this component to configure the connections to your blockchain network and IBM MQ. You can then run the runmqbcb command to start the bridge and send queries and updates to, and receive responses from your blockchain network. The queue manager that the bridge connects to must be an IBM MQ Advanced queue manager.

This component is available only on Linux for System x (64 bit), on RHEL 7.3 or later and is only supported for MQ 9.1 and higher.
