#
# See the file "LICENSE" for the full license governing this code.
#
#
# Get MQ version information, and parse the version number.
#
Facter.add(:mq_version) do
  setcode do
    if File.exist?('/opt/mqm/bin/setmqenv')
      info = `source /opt/mqm/bin/setmqenv -s && dspmqver`
      begin
        info.scan(/Version:\s*(.*)/)[0][0]
      rescue NoMethodError
        'invalid-version'
      end
    else
      'not-installed'
    end
  end
end
