#!/opt/puppetlabs/puppet/bin/ruby
#
# See the file "LICENSE" for the full license governing this code.
#
require 'json'
require 'open3'
require 'puppet'

params = JSON.parse(STDIN.read)
qm     = params.fetch('queue_manager') { '*' }

begin
  puts `systemctl status -l mq@#{qm}`
  exit 0
rescue Puppet::Error => e
  puts({ :status => 'failure', :error => e.message }.to_json)
  exit 1
end
