# Version updates

## 1.2.0

- [software] Add support for MQ 9.1 components
- [core] Add Puppet 6 unit tests
- [autostart] Fix acceptance test

## 1.1.1

- [autostart] Add support for standby queue managers
- [acceptance] Fix tests. Not using stdlib 5.0 yet
- [autostart] Make it more rubust
- [core] Update versions of dependency modules

## 1.1.0

- [autostart] Add support for multi instance queue managers
- [docs] renerate docs with typ info and defaults
- [docs] Add type and defaults
- [core] Fix metadata.json
- [mq_version] Fix faster message

## 1.0.14

- [mq_version] Handle nil error when invalid version number is received.

## 1.0.13

- [tasks] Add restart task
- [tasks] Add status task
- [tasks] Add start task
- [tasks] Add stop task
- [release] Better description in the metadata
- [release] Fix link to license in readme

## 1.0.12

- [release] Added license notice

## 1.0.11

- [release] Add license text and readme
- [release] Always include puppetlabs_spec_helper gem
- [software] Define tmp_dir in puppet

## 1.0.10

- [core] Remove support for puppet versions before 4.9
- [autostart] Initial implementation for RedHat 6 and 7
- [os] Make settings easier manageble. And include them in specs
- [quality] Add acceptance tests
- [os] Make all os settings hiera modifyable
## 1.0.9

- [os] Leave other limits in place

## 1.0.8

- [os] contain the limits to make sure it is done before the rest

## 1.0.7

- [os] Add support for NOT managing the home of mqm user

## 1.0.6

- [os] Add required sysctl parameter

## 1.0.5

- [software] Fix ordering issue
- [functions] Remove return_type for function.
- [software] Fix selection of optional components
- [software] Cleanup extracted temporary packages

## 1.0.4

- [os] remove user mquser

## 1.0.3

- [core] Removed binding and added type

## 1.0.2

- [core] Fixed bindings

## 1.0.1

- [core] Added bindings

## 1.0.0

- [docs] Added documentation

## 0.0.3

- [os] Make nofile limits bigger

## 0.0.2

- [software] Make options selectable
- [os] Remove sysctl settings
- [os] Add mqm user

## 0.0.1

- [installmq] Initial version
