The class `mq_install::installmq` is a convenience class that allows you to install a specific version of the IBM MQ software on your system. Because MQ only allows you to install one version, this class also only supports installing one version.

Here is an example on how to use it:

``` puppet
include mq_install::installmq
```

This class is parameterless, but it calls the [`mq_install::os`](docs/mq_install/os.html) and [`mq_install::software`](docs/mq_install/software.html) classes. Those parameters can be set using hiera.

<%- include_attributes [
  :title
]%>
