This defined type uses a temporary directory. By default this is `\tmp`. If you want to use an other directory for this, you must specify this parameter.

Here is an example on how to use this:

    class { '::mq_install::software':
      ...
      tmp_dir => '/my_tmp_dir',
      ...
    }

On systems with a secured `/tmp` direcory, you MUST specify the `tmp_dir` parameter and specify a directory that puppet is allowed to execute scripts from. It must also have enough space to receive the extracted MQ installation kit.
